<apex:page standardController="Opportunity" tabStyle="Opportunity" sidebar="False">
           <apex:form >
          <apex:sectionHeader title="{!Opportunity.name}"/>
          <apex:pageBlock title="Please Select System Type">
              <apex:pageBlocktable value="{!Opportunity}" var="opp" id="table">
          <apex:column headerValue="">
          <apex:inputField value="{!opp.System_Type__c}" id="sysType" required="True" />
           </apex:column>
        </apex:pageBlocktable> 
      </apex:pageBlock> 
      <apex:commandButton action="{!quicksave}" value="Save" oncomplete="window.parent.location.href='https://c.na4.visual.force.com/apex/equipment_CSV_FileUploader?oppId={!$CurrentPage.parameters.Id}&st={!Opportunity.System_Type__c}'"/>       
       </apex:form>         
</apex:page>